Package com.meterware.httpunit.scripting

# Interface FormScriptable

All Superinterfaces:
  `ScriptingEventHandler`

All Known Implementing Classes:
  `WebForm.Scriptable`

public interface FormScriptable extends ScriptingEventHandler

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`void`
`setAction(String newAction)`
set the action
`void`
`setParameterValue(String name, String value)`
set the value of a parameter

### Methods inherited from interface com.meterware.httpunit.scripting.ScriptingEventHandler

`doEvent, doEventScript, handleEvent`

## Method Details

### setAction

void setAction(String newAction)
set the action

Parameters:
  `newAction` -

### setParameterValue

void setParameterValue(String name, String value)
set the value of a parameter

Parameters:
  `name` - - the name of the parameter to set
  `value` - - the value to use for the parameter